com.fasterxml.jackson.databind.cfg

## Class MutableConfigOverride

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.ConfigOverride
  - - com.fasterxml.jackson.databind.cfg.MutableConfigOverride

All Implemented Interfaces:
  Serializable

    public class MutableConfigOverride
    extends ConfigOverride
    implements Serializable

Extension of `ConfigOverride` that allows changing of contained configuration settings. Exposed to `Module`s that want to set overrides, but not exposed to functionality that wants to apply overrides.

Since:
  2.8
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.cfg.ConfigOverride

`_format, _ignorals, _include, _includeAsProperty, _isIgnoredType, _mergeable, _setterInfo, _visibility`

### Constructor Summary

Constructors
`` `MutableConfigOverride()`
`protected` `MutableConfigOverride(MutableConfigOverride src)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MutableConfigOverride` `copy()`
`MutableConfigOverride` `setFormat(com.fasterxml.jackson.annotation.JsonFormat.Value v)`
`MutableConfigOverride` `setIgnorals(com.fasterxml.jackson.annotation.JsonIgnoreProperties.Value v)`
`MutableConfigOverride` `setInclude(com.fasterxml.jackson.annotation.JsonInclude.Value v)` Override inclusion setting for all properties contained in POJOs of the associated type.
`MutableConfigOverride` `setIncludeAsProperty(com.fasterxml.jackson.annotation.JsonInclude.Value v)` Override inclusion setting for properties of the associated type regardless of the type of the POJO containing it.
`MutableConfigOverride` `setIsIgnoredType(Boolean v)`
`MutableConfigOverride` `setMergeable(Boolean v)`
`MutableConfigOverride` `setSetterInfo(com.fasterxml.jackson.annotation.JsonSetter.Value v)`
`MutableConfigOverride` `setVisibility(com.fasterxml.jackson.annotation.JsonAutoDetect.Value v)`

### Methods inherited from class com.fasterxml.jackson.databind.cfg.ConfigOverride

`empty, getFormat, getIgnorals, getInclude, getIncludeAsProperty, getIsIgnoredType, getMergeable, getSetterInfo, getVisibility`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MutableConfigOverride

    public MutableConfigOverride()

#### MutableConfigOverride

    protected MutableConfigOverride(MutableConfigOverride src)

### Method Detail

#### copy

    public MutableConfigOverride copy()

#### setFormat

    public MutableConfigOverride setFormat(com.fasterxml.jackson.annotation.JsonFormat.Value v)

#### setInclude

    public MutableConfigOverride setInclude(com.fasterxml.jackson.annotation.JsonInclude.Value v)

Override inclusion setting for all properties contained in POJOs of the associated type.

Parameters:
  `v` - Inclusion setting to apply contained properties.

#### setIncludeAsProperty

    public MutableConfigOverride setIncludeAsProperty(com.fasterxml.jackson.annotation.JsonInclude.Value v)

Override inclusion setting for properties of the associated type regardless of the type of the POJO containing it.

Parameters:
  `v` - Inclusion setting to apply for properties of associated type.
Since:
  2.9

#### setIgnorals

    public MutableConfigOverride setIgnorals(com.fasterxml.jackson.annotation.JsonIgnoreProperties.Value v)

#### setIsIgnoredType

    public MutableConfigOverride setIsIgnoredType(Boolean v)

#### setSetterInfo

    public MutableConfigOverride setSetterInfo(com.fasterxml.jackson.annotation.JsonSetter.Value v)

Since:
  2.9

#### setVisibility

    public MutableConfigOverride setVisibility(com.fasterxml.jackson.annotation.JsonAutoDetect.Value v)

Since:
  2.9

#### setMergeable

    public MutableConfigOverride setMergeable(Boolean v)

Since:
  2.9